%bcond_without doc

%global modname test_server

Name:           python-%{modname}
Version:        0.0.31
Release:        1%{?dist}
Summary:        Server to test HTTP clients, written in Python

License:        MIT
URL:            https://github.com/lorien/%{modname}
Source0:        %{url}/archive/v%{version}.tar.gz#/%{modname}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  python%{python3_pkgversion}-bottle
BuildRequires:  python%{python3_pkgversion}-webtest

%if %{with doc}
BuildRequires:  python%{python3_pkgversion}-sphinx
%endif

# Tests:
BuildRequires:  python%{python3_pkgversion}-pytest

%?python_enable_dependency_generator

%description
%{summary}.

%package -n     python%{python3_pkgversion}-%{modname}
Summary:        %{summary}
%{?python_provide:%python_provide python%{python3_pkgversion}-%{modname}}

%description -n python%{python3_pkgversion}-%{modname}
%{summary}.

%package        doc
Summary:        Documentation files for %{modname}

%description    doc
%{summary}.


%prep
%autosetup -n %{modname}-%{version}

%build
%py3_build

%if %{with doc}
# avoid WARNING: autodoc: failed to import module
echo "import sys; import os; sys.path.insert(0, os.path.abspath('..'))" >>docs/conf.py
# FIXME several other warnings from sphinx
sphinx-build -d docs/doctrees docs docs/html
rm -fv docs/html/.buildtree
%endif

%install
%py3_install

%check
%{__python3} -m pytest -v


%files -n python3-%{modname}
%license LICENSE
%doc README.rst CHANGELOG.md
%{python3_sitelib}/%{modname}/
%{python3_sitelib}/%{modname}-%{version}-py%{python3_version}.egg-info/

%if %{with doc}
%files doc
%license LICENSE
%doc docs/html
%endif


%changelog
* Wed Oct 03 2018 Raphael Groner <projects.rg@smart.ms> - 0.0.31-1
- prepare for review
- add optional generation of documentation into subpackage
- don't use pypi tarball due to missing docs subfolder
- skip epel7 for now due to missing runtime e.g. bottle and webtest

* Fri Aug 17 2018 Miro Hrončok <mhroncok@redhat.com> - 0.0.31-0
- Initial package
